> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orderprotection.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Test Events



## OpenAPI

````yaml openapi-tests GET /v1/split-tests/{id}/events
openapi: 3.0.0
info:
  title: Tests
  description: Tests API
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.production.orderprotection.com
    description: Production server
security: []
tags: []
paths:
  /v1/split-tests/{id}/events:
    get:
      tags:
        - Tests
      operationId: ABTestApiController_getTestEvents
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: first
          required: false
          in: query
          example: 10
          schema:
            type: integer
        - name: last
          required: false
          in: query
          example: 10
          schema:
            type: integer
        - name: reverse
          required: false
          in: query
          example: true
          schema:
            type: boolean
        - name: before
          required: false
          in: query
          example: '123454'
          schema:
            type: string
        - name: after
          required: false
          in: query
          example: '123455'
          schema:
            type: string
      responses:
        '200':
          description: Get test by id
          content:
            application/json:
              schema:
                type: object
                properties:
                  edges:
                    type: array
                    items:
                      type: object
                      properties:
                        node:
                          $ref: '#/components/schemas/TestEvent'
                  pageInfo:
                    $ref: '#/components/schemas/PageInfo'
components:
  schemas:
    TestEvent:
      type: object
      properties:
        sessionId:
          type: string
          description: The unique session id for the customer. This marks a unique visitor
          example: 871ef54fe5e71123c95cdf8308db124131a80a01f626191a5e07e63723071d52
        testId:
          type: string
          example: cm0752s2r0003zqtzdwcm9rc0
        metadata:
          type: object
          description: The event data
          example:
            orderId: 12312
            isOriginal: true
            purchasedOp: true
            settingsType: Original
        createdAt:
          format: date-time
          type: string
          description: The timestamp of the event
        type:
          type: string
          description: The type of event
          example: checkout:completed
      required:
        - sessionId
        - testId
        - metadata
        - createdAt
        - type
    PageInfo:
      type: object
      properties:
        startCursor:
          type: string
          readOnly: true
          example: cm0b57zjv00myq52xh0c590b8
        endCursor:
          type: string
          readOnly: true
          example: cm0b57zjv00myq52xh0c590b8
        hasNextPage:
          type: boolean
          readOnly: true
          example: false
        hasPreviousPage:
          type: boolean
          readOnly: true
          example: false
      required:
        - startCursor
        - endCursor
        - hasNextPage
        - hasPreviousPage

````